Admin Attach Product To Hub
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/products/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"product_id": "<string>",
"is_free_tier": false,
"position": 0,
"visible": true
},
"type": "hub_product_displays"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/products/"
payload = { "data": {
"attributes": {
"product_id": "<string>",
"is_free_tier": False,
"position": 0,
"visible": True
},
"type": "hub_product_displays"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {product_id: '<string>', is_free_tier: false, position: 0, visible: true},
type: 'hub_product_displays'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/products/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"created_at": "2023-11-07T05:31:56Z",
"hub_id": "<string>",
"is_free_tier": true,
"position": 123,
"product_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visible": true
},
"id": "<string>",
"type": "hub_product_displays"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}products-admin
Admin Attach Product To Hub
Attach a product to a hub, creating hub_product_display plus default hub_price_display rows for every active price on the product.
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
products
/
Admin Attach Product To Hub
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I